Gossamer Forum
Home : Products : Links 2.0 : Discussions :

Links 2.0->2.01 "upgrade" question

Quote Reply
Links 2.0->2.01 "upgrade" question
Hi all,

A couple of years ago, I set up my first links v2.0. I modified it with 5-6 patches, among these, extra categories was added to the database.
I haven't done anything to the links installation in a year or so now, and discovered a few days ago that there's a Links v.2.01 out.

What's up with this release? I haven't found any upgrade info (just 1.0->2.x upgrade stuff on the boards). Should I bother upgrading my modified 2.0 installation?

I ask, because I suspect that I will have to apply the 2.0 mods by hand to a 2.01 installation.

Any advice is more than appreciated. Thanks in advance.

Best regards,
rjan Sandland
Quote Reply
Re: [Macro] Links 2.0->2.01 "upgrade" question In reply to
There are very few changes. There was security hole that I believe was fixed (or was that only DBMan?). The only significant change is nph-verify.cgi. There is nothing "new" in the program, so updating is not really worthwhile. If you do choose to upgrade, all you need to replace is the veriry script.

--Philip
Links 2.0 moderator
Quote Reply
Re: [King Junko II] Links 2.0->2.01 "upgrade" question In reply to
Nope...that "security hole" was in both scripts.
========================================
Buh Bye!

Cheers,
Me
Quote Reply
Re: [Macro] Links 2.0->2.01 "upgrade" question In reply to
You can install the new clean linsql 2.1.0 and import data into it

Hope this helps

Cheers,

Dat

Programming and creating plugins and templates
Blog
Quote Reply
Re: [Heckler] Links 2.0->2.01 "upgrade" question In reply to
ah.. okay. I assumed it was since Links was based on DBMan but I didn't know for certain.

--Philip
Links 2.0 moderator
Quote Reply
Re: [tandat] Links 2.0->2.01 "upgrade" question In reply to
>>You can install the new clean linsql 2.1.0 and import data into it <<

You are thinking Links SQL Smile
Quote Reply
Re: [Paul] Links 2.0->2.01 "upgrade" question In reply to
Yes that's right

Cheers,

Dat

Programming and creating plugins and templates
Blog
Quote Reply
Re: [tandat] Links 2.0->2.01 "upgrade" question In reply to
This is the links2 forum.